Bug 1436029 - openstack-glare - Unified Artifact Repository
Summary: openstack-glare - Unified Artifact Repository
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RDO
Classification: Community
Component: Package Review
Version: trunk
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: trunk
Assignee: Alfredo Moralejo
QA Contact: hguemar
URL:
Whiteboard:
Depends On:
Blocks: RDO-PIKE
TreeView+ depends on / blocked
 
Reported: 2017-03-26 22:30 UTC by Mike Fedosin
Modified: 2017-08-29 14:27 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-29 14:27:25 UTC
amoralej: rdo-review+


Attachments (Terms of Use)

Description Mike Fedosin 2017-03-26 22:30:37 UTC
Packaging for Glare URL: https://github.com/Fedosin/glare-rpm

SPEC URL: https://raw.githubusercontent.com/Fedosin/glare-rpm/master/openstack-glare.spec

Description: Glare (from GLare Artifact REpository) is a service that provides access to a unified catalog of structured meta-information as well as related binary data (these structures are also called 'artifacts').

Comment 1 Haïkel Guémar 2017-03-27 12:04:51 UTC
new reviews must block RDO-PIKE ticket

Comment 2 Haïkel Guémar 2017-03-27 13:15:44 UTC
This one will be guinea pig for some review automation.

Comment 3 Mike Fedosin 2017-04-11 17:46:56 UTC
Glare client spec: https://raw.githubusercontent.com/Fedosin/glare-rpm/master/python-glareclient.spec

Description: Python client for Glare REST API. Includes python library for Glare API, Command Line Interface (CLI) library and openstackclient plugin.

Comment 4 Alan Pevec 2017-06-06 21:43:25 UTC
(In reply to Mike Fedosin from comment #3)
> Glare client spec:
> https://raw.githubusercontent.com/Fedosin/glare-rpm/master/python-
> glareclient.spec

This should be in a separate package review.

Comment 5 Alan Pevec 2017-06-06 21:45:05 UTC
(In reply to Haïkel Guémar from comment #2)
> This one will be guinea pig for some review automation.

Let's proceed while automation is developed?

Comment 6 Alan Pevec 2017-06-06 21:45:56 UTC
> This should be in a separate package review.

Also to deploy this, we also need puppet-glare added to RDO.

Comment 7 Haïkel Guémar 2017-06-07 12:01:39 UTC
I need an actual project to do testing. :/
Let's proceed differently.

Comment 9 Alfredo Moralejo 2017-08-16 09:14:38 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "*No copyright* Apache", "Unknown or
     generated", "*No copyright* Apache (v2.0)". 51 files have unknown
     license. Detailed output of licensecheck in /tmp/openstack-
     glare/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/systemd/system,
     /etc/logrotate.d, /usr/lib/systemd
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python-
     glare , openstack-glare-common , openstack-glare-api , python-glare-
     tests , openstack-glare-doc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define upstream_version
     0.2.2.dev312
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: python-glare-0.2.2-0.20170814193345.eb1eb29.el7.centos.noarch.rpm
          openstack-glare-common-0.2.2-0.20170814193345.eb1eb29.el7.centos.noarch.rpm
          openstack-glare-api-0.2.2-0.20170814193345.eb1eb29.el7.centos.noarch.rpm
          python-glare-tests-0.2.2-0.20170814193345.eb1eb29.el7.centos.noarch.rpm
          openstack-glare-doc-0.2.2-0.20170814193345.eb1eb29.el7.centos.noarch.rpm
          openstack-glare-0.2.2-0.20170814193345.eb1eb29.el7.centos.src.rpm
python-glare.noarch: W: spelling-error %description -l en_US metadata -> meta data, meta-data, metatarsal
python-glare.noarch: E: no-changelogname-tag
openstack-glare-common.noarch: W: spelling-error %description -l en_US metadata -> meta data, meta-data, metatarsal
openstack-glare-common.noarch: E: no-changelogname-tag
openstack-glare-common.noarch: W: no-documentation
openstack-glare-common.noarch: W: non-standard-gid /etc/glare/glare.conf glare
openstack-glare-common.noarch: W: non-standard-gid /etc/glare/glare-paste.ini glare
openstack-glare-common.noarch: W: non-standard-uid /var/lib/glare/artifacts glare
openstack-glare-common.noarch: W: non-standard-gid /var/lib/glare/artifacts glare
openstack-glare-common.noarch: E: incoherent-logrotate-file /etc/logrotate.d/openstack-glare
openstack-glare-common.noarch: W: non-standard-uid /var/lib/glare glare
openstack-glare-common.noarch: W: non-standard-gid /var/lib/glare glare
openstack-glare-common.noarch: W: non-standard-gid /etc/glare/glare-swift.conf glare
openstack-glare-common.noarch: W: non-standard-uid /var/log/glare glare
openstack-glare-common.noarch: W: non-standard-gid /etc/glare/policy.yaml glare
openstack-glare-api.noarch: W: spelling-error %description -l en_US metadata -> meta data, meta-data, metatarsal
openstack-glare-api.noarch: E: no-changelogname-tag
openstack-glare-api.noarch: W: no-documentation
openstack-glare-api.noarch: W: no-manual-page-for-binary glare-scrubber
openstack-glare-api.noarch: W: no-manual-page-for-binary glare-db-manage
openstack-glare-api.noarch: W: no-manual-page-for-binary glare-api
python-glare-tests.noarch: W: spelling-error %description -l en_US metadata -> meta data, meta-data, metatarsal
python-glare-tests.noarch: E: no-changelogname-tag
python-glare-tests.noarch: W: no-documentation
python-glare-tests.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/glare_tempest_plugin/contrib/gate_hook.sh /usr/bin/env bash
python-glare-tests.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/glare_tempest_plugin/contrib/gate_hook.sh 644 /usr/bin/env bash
python-glare-tests.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/glare_tempest_plugin/contrib/pre_test_hook.sh /usr/bin/env bash
python-glare-tests.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/glare_tempest_plugin/contrib/pre_test_hook.sh 644 /usr/bin/env bash
python-glare-tests.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/glare_tempest_plugin/contrib/post_test_hook.sh /usr/bin/env bash
python-glare-tests.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/glare_tempest_plugin/contrib/post_test_hook.sh 644 /usr/bin/env bash
openstack-glare-doc.noarch: W: spelling-error %description -l en_US documentaion -> documentation, documentary, documented
openstack-glare-doc.noarch: E: no-changelogname-tag
openstack-glare.src: E: no-changelogname-tag
openstack-glare.src: W: invalid-url Source0: glare-0.2.2.dev312-0.20170814193345.eb1eb29.tar.gz
6 packages and 0 specfiles checked; 13 errors, 21 warnings.




Rpmlint (installed packages)
----------------------------
openstack-glare-doc.noarch: W: spelling-error %description -l C documentaion -> documentation
openstack-glare-doc.noarch: E: no-changelogname-tag
openstack-glare-api.noarch: E: no-changelogname-tag
openstack-glare-api.noarch: W: only-non-binary-in-usr-lib
openstack-glare-api.noarch: W: no-documentation
openstack-glare-api.noarch: W: no-manual-page-for-binary glare-scrubber
openstack-glare-api.noarch: W: no-manual-page-for-binary glare-api
openstack-glare-api.noarch: W: no-manual-page-for-binary glare-db-manage
python-glare.noarch: E: no-changelogname-tag
python-glare-tests.noarch: E: no-changelogname-tag
python-glare-tests.noarch: W: no-documentation
python-glare-tests.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/glare_tempest_plugin/contrib/pre_test_hook.sh 0644L /usr/bin/env
python-glare-tests.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/glare_tempest_plugin/contrib/gate_hook.sh 0644L /usr/bin/env
python-glare-tests.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/glare_tempest_plugin/contrib/post_test_hook.sh 0644L /usr/bin/env
openstack-glare-common.noarch: E: no-changelogname-tag
openstack-glare-common.noarch: W: no-documentation
openstack-glare-common.noarch: W: non-standard-gid /etc/glare/glare-swift.conf glare
openstack-glare-common.noarch: W: non-standard-uid /var/lib/glare glare
openstack-glare-common.noarch: W: non-standard-gid /var/lib/glare glare
openstack-glare-common.noarch: W: non-standard-uid /var/log/glare glare
openstack-glare-common.noarch: W: non-standard-gid /etc/glare/glare.conf glare
openstack-glare-common.noarch: W: non-standard-uid /var/lib/glare/artifacts glare
openstack-glare-common.noarch: W: non-standard-gid /var/lib/glare/artifacts glare
openstack-glare-common.noarch: W: non-standard-gid /etc/glare/glare-paste.ini glare
openstack-glare-common.noarch: E: incoherent-logrotate-file /etc/logrotate.d/openstack-glare
openstack-glare-common.noarch: W: non-standard-gid /etc/glare/policy.yaml glare
5 packages and 0 specfiles checked; 9 errors, 17 warnings.



Requires
--------
openstack-glare-doc (rpmlib, GLIBC filtered):

openstack-glare-api (rpmlib, GLIBC filtered):
    /usr/bin/python2
    openstack-glare-common

python-glare (rpmlib, GLIBC filtered):
    pyOpenSSL
    python(abi)
    python-alembic
    python-boto
    python-cryptography
    python-eventlet
    python-futurist
    python-glance-store
    python-httplib2
    python-iso8601
    python-jsonpatch
    python-jsonschema
    python-jwt
    python-keystoneauth1
    python-keystoneclient
    python-keystonemiddleware
    python-memcached
    python-microversion-parse
    python-monotonic
    python-os-brick
    python-oslo-concurrency
    python-oslo-config
    python-oslo-context
    python-oslo-db
    python-oslo-i18n
    python-oslo-log
    python-oslo-messaging
    python-oslo-middleware
    python-oslo-policy
    python-oslo-serialization
    python-oslo-service
    python-oslo-utils
    python-oslo-versionedobjects
    python-oslo-vmware
    python-osprofiler
    python-paste
    python-paste-deploy
    python-pbr
    python-retrying
    python-routes
    python-semantic-version
    python-six
    python-sqlalchemy
    python-swiftclient
    python-taskflow
    python-webob
    shadow-utils

python-glare-tests (rpmlib, GLIBC filtered):
    python(abi)
    python-glare
    python-tempest

openstack-glare-common (rpmlib, GLIBC filtered):
    /bin/sh
    config(openstack-glare-common)
    python-glare
    systemd



Provides
--------
openstack-glare-doc:
    openstack-glare-doc

openstack-glare-api:
    openstack-glare-api

python-glare:
    python-glare

python-glare-tests:
    python-glare-tests

openstack-glare-common:
    config(openstack-glare-common)
    openstack-glare-common



Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m dlrn-master -rn openstack-glare-0.2.2-0.20170814193345.eb1eb29.el7.centos.src.rpm
Buildroot used: dlrn-centos-master-x86_64-1
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


Package is APPROVED

Comment 10 Chandan Kumar 2017-08-29 14:27:25 UTC
Package is available now and imported in RDO: https://github.com/rdo-packages/glare-distgit.


Note You need to log in before you can comment on or make changes to this bug.